japa.parser.ast.expr

## Class MethodCallExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.MethodCallExpr

    public final class MethodCallExpr
    extends Expression

### Constructor Summary

Constructors
Constructor and Description
`MethodCallExpr()`
`MethodCallExpr(Expression scope, String name)`
`MethodCallExpr(Expression scope, String name, List<Expression> args)`
`MethodCallExpr(int beginLine, int beginColumn, int endLine, int endColumn, Expression scope, List<Type> typeArgs, String name, List<Expression> args)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<Expression>` `getArgs()`
`String` `getName()`
`Expression` `getScope()`
`List<Type>` `getTypeArgs()`
`void` `setArgs(List<Expression> args)`
`void` `setName(String name)`
`void` `setScope(Expression scope)`
`void` `setTypeArgs(List<Type> typeArgs)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodCallExpr

    public MethodCallExpr()

#### MethodCallExpr

    public MethodCallExpr(Expression scope,
                  String name)

#### MethodCallExpr

    public MethodCallExpr(Expression scope,
                  String name,
                  List<Expression> args)

#### MethodCallExpr

    public MethodCallExpr(int beginLine,
                  int beginColumn,
                  int endLine,
                  int endColumn,
                  Expression scope,
                  List<Type> typeArgs,
                  String name,
                  List<Expression> args)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getArgs

    public List<Expression> getArgs()

#### getName

    public String getName()

#### getScope

    public Expression getScope()

#### getTypeArgs

    public List<Type> getTypeArgs()

#### setArgs

    public void setArgs(List<Expression> args)

#### setName

    public void setName(String name)

#### setScope

    public void setScope(Expression scope)

#### setTypeArgs

    public void setTypeArgs(List<Type> typeArgs)